<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Message_Master extends Model
{
    public $table = 'message_master';

    protected $primaryKey = 'msg_id';

    protected $fillable = [
        'msg_type', 'sender_id', 'receiver_id', 'msg', 'is_read',
    ];
    
    public function getMsgAttribute($val)
    {
        return env('public_path').'chat/'.$val;
    }
}
